%define rel 7
%define version 0.3.16
%define release %mkrel %{rel} 
%define Rname gpgme
 
%define req_gnupg gnupg2-1.9.3

%define major 6
%define libname %mklibname %name

Summary:	GnuPG Made Easy (GPGME)
Name:		%{Rname}03
Version:	%{version}
Release:	%{release}
Source0:	ftp://ftp.gnupg.org/gcrypt/%{Rname}/%{Rname}-%{version}.tar.gz
Source1:	ftp://ftp.gnupg.org/gcrypt/%{Rname}/%{Rname}-%{version}.tar.gz.sig
License:	GPL
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{Rname}-%{version}-%{release}-buildroot
URL:		http://www.gnupg.org/gpgme.html 
BuildRequires:	gnupg >= %{req_gnupg}

%description
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG
easier for applications.

%package	-n %{libname}_%{major}
Summary:	GnuPG Made Easy (GPGME)
Group:		System/Libraries
Requires:	gnupg >= %{req_gnupg_version}  
Provides:	%{libname} = %{version}-%{release}
Provides:	%{Rname} = %{version}-%{release} 
 

%description	-n %{libname}_%{major} 
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG
easier for applications.

%package	-n %{libname}_%{major}-devel
Summary:	GnuPG Made Easy (GPGME) Header files and libraries for development
Group:		Development/C
Requires:	%{libname}_%{major} = %{version}-%{release}
Provides:	lib%{Rname}-devel = %{version}-%{release}
Provides:	%{libname}-devel = %{version}-%{release} 
Conflicts:       %{Rname}-devel > %{version}
 
 
%description	-n %{libname}_%{major}-devel
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG
easier for applications.

Install the gpgme-devel package if you want to develop applications 
that will use the gpgme library.

%prep
%setup -q -n %{Rname}-%{version}

%build
%configure2_5x
%make
##CAE build now hangsif this is run
##%__make check

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%post -n %{libname}_%{major} -p /sbin/ldconfig
%postun -n %{libname}_%{major} -p /sbin/ldconfig

%post -n %{libname}_%{major}-devel
%_install_info %rname.info

%postun -n %{libname}_%{major}-devel
%_remove_install_info %rname.info


%files -n %{libname}_%{major}
%defattr(-,root,root)
%{_libdir}/libgpgme.so.*

%files -n %{libname}_%{major}-devel
%defattr(-,root,root)
%doc README README-alpha TODO ChangeLog NEWS AUTHORS COPYING THANKS
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/lib*.so

%{_bindir}/gpgme-config
%{_datadir}/aclocal/*
%{_includedir}/*
%{_infodir}/gpgme.info*



%changelog
* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.3.16-7mdv2008.1
+ Revision: 136460
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - import gpgme03


* Tue Jun 06 2006 Charles A Edwards <eslrahc@mandriva.org> 0.3.16-7mdv2007.0
- mkrel
- rebuild

* Thu Oct 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3.16-6mdk
- don't provide gpgme-devel to fix Slbd problem

* Fri Aug 20 2004 Charles A Edwards <eslrahc@mandrake.org> 0.3.16-5mdk
- rm Conflicts from lib pkg and fix Conflict in devel pkg
 
* Wed Aug 18 2004 Olivier Blin <blino@mandrake.org> 0.3.16-4mdk
- fix conflicts

* Tue Aug 17 2004 Olivier Blin <blino@mandrake.org> 0.3.16-3mdk
- provide gpgme and gpgme-devel (should fix bug 8547)

* Fri Jan 30 2004 Charles A Edwards <eslrahc@bellsouth.net> 0.3.16-2mdk
- newpg now provided in gnupg2-1.9.3
- change req to gnupg2

* Fri Jan 30 2004 Charles A Edwards <eslrahc@bellsouth.net> 0.3.16-1mdk
- re-introduce...needed by sylpheed/sylpheed-claws
- Obsoletes/Provides is not working have to use Conflict
- don't use newpg until it's fixed. 
